*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
    display: flex;
    flex-direction: column;
    align-items: center;
    /* height: 100vh; */
    padding: 2rem;
    transition: all 1s ease;
}
/* Analog Clock */

#analogClock{
    width: 300px;
    height: 300px;
    border-radius: 100%;
    /* border: 1rem solid black; */
    position: relative;
    margin-bottom: 2rem;
}
.hand{
    height: 4px;
    background-color: black;
    position: absolute;
    top: 50%;
    left: 50%;
    transform-origin: left;
    transition: background-color 1s ease;
}
#hourHand{
    width: 5rem;
    transform: rotate(-90deg);
}
#minHand{
    width: 8rem;
}
#secHand{
    background-color: red;
    width: 10rem;
    transform: rotate(45deg);
}
#secHand::before{
    content: "";
    position: absolute;
    top: -6px;
    left: -7px;
    width: 1rem;
    height: 1rem;
    border-radius: 50%;
    background-color: red;
}

/* Digital Clock */
#digitalClock{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    font-weight: 600;
    font-size: 30px;
    font-family: 'Orbitron', sans-serif;
    transition: all 1s ease;
}
.time{
    margin: 20px;
}
#disTime{
    font-size: 4rem;
    display: flex;
    justify-content: center;
    align-items: center;
}
#dayDate{
    display: flex;
    justify-content: center;
    align-items: center;
}
.day{
    margin-right: 1rem;
}
.date{
    transition: all 1s ease;
    font-size: 15px;
    background-color: black;
    border-radius: 50%;
    color: white;
    padding: 0.4rem;
}

#btn{
    margin-bottom: 2rem;
    border: none;
    outline: none;
    padding: 0.5rem;
    background-color: purple;
    color: white;
    border-radius: 5px;
    font-size: 15px;
    cursor: pointer;
    transition: all 0.3s ease;
}
#btn:hover{
    background-color: rgb(224, 37, 224);
}